/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.triz.trizservice.modeles;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author FORCE TECH
 */
@Entity
@Table(name = "service_incrementation")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "ServiceIncrementation.findAll", query = "SELECT s FROM ServiceIncrementation s"),
    @NamedQuery(name = "ServiceIncrementation.findById", query = "SELECT s FROM ServiceIncrementation s WHERE s.id = :id"),
    @NamedQuery(name = "ServiceIncrementation.findByCode", query = "SELECT s FROM ServiceIncrementation s WHERE s.code = :code"),
    @NamedQuery(name = "ServiceIncrementation.findByDateMois", query = "SELECT s FROM ServiceIncrementation s WHERE s.dateMois = :dateMois"),
    @NamedQuery(name = "ServiceIncrementation.findByIncrTelephone", query = "SELECT s FROM ServiceIncrementation s WHERE s.incrTelephone = :incrTelephone"),
    @NamedQuery(name = "ServiceIncrementation.findByIncrClient", query = "SELECT s FROM ServiceIncrementation s WHERE s.incrClient = :incrClient"),
    @NamedQuery(name = "ServiceIncrementation.findByIncrStage", query = "SELECT s FROM ServiceIncrementation s WHERE s.incrStage = :incrStage"),
    @NamedQuery(name = "ServiceIncrementation.findByIncrGroups", query = "SELECT s FROM ServiceIncrementation s WHERE s.incrGroups = :incrGroups")})
public class ServiceIncrementation implements Serializable {

    @Size(max = 50)
    @Column(name = "code")
    private String code;

    private static final long serialVersionUID = 1L;
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @Column(name = "id")
    private Integer id;
    @Column(name = "date_mois")
    @Temporal(TemporalType.DATE)
    private Date dateMois;
    @Column(name = "incr_telephone")
    private Integer incrTelephone;
    @Column(name = "incr_client")
    private Integer incrClient;
    @Column(name = "incr_stage")
    private Integer incrStage;
    @Column(name = "incr_groups")
    private Integer incrGroups;

    public ServiceIncrementation() {
    }

    public ServiceIncrementation(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }


    public Date getDateMois() {
        return dateMois;
    }

    public void setDateMois(Date dateMois) {
        this.dateMois = dateMois;
    }

    public Integer getIncrTelephone() {
        return incrTelephone;
    }

    public void setIncrTelephone(Integer incrTelephone) {
        this.incrTelephone = incrTelephone;
    }

    public Integer getIncrClient() {
        return incrClient;
    }

    public void setIncrClient(Integer incrClient) {
        this.incrClient = incrClient;
    }

    public Integer getIncrStage() {
        return incrStage;
    }

    public void setIncrStage(Integer incrStage) {
        this.incrStage = incrStage;
    }

    public Integer getIncrGroups() {
        return incrGroups;
    }

    public void setIncrGroups(Integer incrGroups) {
        this.incrGroups = incrGroups;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof ServiceIncrementation)) {
            return false;
        }
        ServiceIncrementation other = (ServiceIncrementation) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.triz.trizservice.modeles.ServiceIncrementation[ id=" + id + " ]";
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }
    
}
